<html>
<head>
<link rel="STYLESHEET" type="text/css" href="css_router.css">
<script language="JavaScript" src="public.js"></script>
<script language="JavaScript" src="public_msg.js"></script>
<script language="JavaScript">
	var submit_button_flag = 0;
	var DHCPL_DataArray = new Array();
	var rule_max_num = 25;
	var resert_rule = rule_max_num;
	var DHCPList_word = "";
	var is_chk_public_port = 0;
	var is_chk_private_port = 0;
	function DHCP_Data(name, ip, mac, Exp_time, onList) {
		this.Name = name;
		this.IP = ip;
		this.MAC = mac;
		this.EXP_T = Exp_time;
		this.OnList = onList ;
	}
	
	function set_lan_dhcp_list(){
		var index = 0;
		var temp_dhcp_list = get_by_id("dhcp_list").value.split(",");
		for (var i = 0; i < temp_dhcp_list.length; i++){	
			var temp_data = temp_dhcp_list[i].split("/");
			if(temp_data.length > 1){
				DHCPL_DataArray[DHCPL_DataArray.length++] = new DHCP_Data(temp_data[0], temp_data[1], temp_data[2], temp_data[3],index);
				DHCPList_word = DHCPList_word+ "<option value=\""+ temp_data[1] +"\">" + temp_data[0] + "</option>";
				index++;
			}
		}
	}
	
	function onPageLoad(){
		for (var i = 0; i < rule_max_num; i++){
			var temp_pf;
			if (i > 9){
				temp_pf = get_by_id("port_forward_" + i).value;
			}else{
				temp_pf = get_by_id("port_forward_0" + i).value;				
			}
			
			if(temp_pf ==""){
				if (i > 9){
					 get_by_id("port_forward_" + i).value = "0//Any/////0.0.0.0/Always";
				}else{
					get_by_id("port_forward_0" + i).value = "0//Any/////0.0.0.0/Always";				
				}
			}
		}
		onLine_img("<% CmoGetStatus("internetonline_check"); %>");
		set_port_forwarding();
		set_form_default_values("form1");
	}

	function set_port_forwarding(){
		for (var i = 0; i < rule_max_num; i++){
			var temp_pf;
			
			if (i > 9){
				temp_pf = (get_by_id("port_forward_" + i).value).split("/");
			}else{
				temp_pf = (get_by_id("port_forward_0" + i).value).split("/");				
			}
			
			if (temp_pf.length > 1){
				set_checked(temp_pf[0], get_by_id("enable" + i));
				get_by_id("name" + i).value = temp_pf[1];
				set_protocol(temp_pf[2], get_by_id("protocol" + i));
				get_by_id("public_portS" + i).value = temp_pf[3];
				get_by_id("public_portE" + i).value = temp_pf[4];
				get_by_id("private_portS" + i).value = temp_pf[5];
				get_by_id("private_portE" + i).value = temp_pf[6];
				get_by_id("ip" + i).value = temp_pf[7];
				set_selectIndex(temp_pf[8], get_by_id("schedule" + i));
				if(temp_pf[1].length > 0){
					resert_rule--;
				}
			}
		}
		get_by_id("show_resert").innerHTML = "<font color=\"red\">"+ resert_rule +"</font>";
	}
	
	function check_pf_portrange(index, start, end, obj_word){
		for(var ii=0; ii<rule_max_num; ii++){
			var start_refer = get_by_id(obj_word + "S" + ii).value;
			var end_refer = get_by_id(obj_word + "E" + ii).value;
			
			if(ii == index){
				continue;
			}

			if(get_by_id("name"+ii).value == ""){
				continue;
			}
			if(((start_refer<=start) && (start<=end_refer)) || ((start_refer<=end) && (end<=end_refer))){
				return false;
			}else if(((start<=start_refer) && (start_refer<=end)) || ((start<=end_refer) && (end_refer<=end))){
				return false;
			}
		}
		if(parseInt(end - start,10) > 0){
			if(obj_word=="public_port"){
				is_chk_public_port = 1;
			}else if(obj_word=="private_port"){
				is_chk_private_port = 1;
			}
		}
		return true;
	}
	
	function send_request(){
		if (!is_form_modified("form1") && !confirm("Nothing has changed, save anyway?")) {
			return false;
		}
		var count = 0;
		for (var i = 0; i < rule_max_num; i++){
			var temp_port_name = get_by_id("name" + i).value;			
			if (temp_port_name != ""){
				for (var j = i+1; j < rule_max_num; j++){
					if (temp_port_name == get_by_id("name" + j).value){
						alert("The Port Forwarding name is already in the list");
						return false;
					}
				}
			}
		}
		
		for (var i = 0; i < rule_max_num; i++){		
			var ip = get_by_id("ip" + i).value;
    		
    		var ip_addr_msg = replace_msg(all_ip_addr_msg,"IP address");
    		var temp_ip_obj = new addr_obj(ip.split("."), ip_addr_msg, false, false);
			var temp_pf;
			
			if (parseInt(i,10) >= 10){
				get_by_id("port_forward_" + i).value = "";
			}else{
				get_by_id("port_forward_0" + i).value = "";
			}
			if (get_by_id("name" + i).value != ""){
				check_name = get_by_id("name" + i).value;
				if(Find_word(check_name,"'") || Find_word(check_name,'"') || Find_word(check_name,"/")){
					alert("Port forwarding name "+ i +" invalid. the legal characters can not enter ',/,''");
					return false
				}
				
				if (!check_address(temp_ip_obj)){
		            return false;
		        }
        
				if (!check_pf_port(get_by_id("public_portS" + i).value)){
		            alert(msg[PUBLIC_PORT_ERROR]);
		            return false;
		        }
		        if (!check_pf_port(get_by_id("public_portE" + i).value)){
		            alert(msg[PUBLIC_PORT_ERROR]);
		            return false;
		        }
		        if(parseInt(get_by_id("public_portS" + i).value,10) > parseInt(get_by_id("public_portE" + i).value,10)){
		        	alert("Public Port first number larger then second number.");
		        	return false;
		        }
		        is_chk_public_port = 0;
		        if(!check_pf_portrange(i, get_by_id("public_portS" + i).value, get_by_id("public_portE" + i).value, "public_port")){
					alert("Port Range Conflict.");
					return false;
				}
				

				if (!check_pf_port(get_by_id("private_portS" + i).value)){
		            alert(msg[PRIVATE_PORT_ERROR]);
		            return false;
		        }
		        if (!check_pf_port(get_by_id("private_portE" + i).value)){
		            alert(msg[PRIVATE_PORT_ERROR]);
		            return false;
		        }	
		        if(parseInt(get_by_id("private_portS" + i).value,10) > parseInt(get_by_id("private_portE" + i).value,10)){
		        	alert("Private Port first number larger then second number.");
		        	return false;
		        }
		        is_chk_private_port = 0;
				if(!check_pf_portrange(i, get_by_id("private_portS" + i).value, get_by_id("private_portE" + i).value, "private_port")){
					alert("Port Range Conflict.");
					return false;
				}
				if(parseInt(is_chk_public_port,10) != parseInt(is_chk_private_port,10)){
					alert("Port Range rule is error.");
					return false;
				}
		        
		        var is_enable = get_checked_value(get_by_id("enable" + i));
		        if (count > 9){
					temp_pf = get_by_id("port_forward_" + count);
				}else{
					temp_pf = get_by_id("port_forward_0" + count);
				}
				
				temp_pf.value = is_enable + "/" + get_by_id("name" + i).value + "/" + get_by_id("protocol" + i).value 
					+ "/" + get_by_id("public_portS" + i).value +"/"+ get_by_id("public_portE" + i).value 
					+ "/" + get_by_id("private_portS" + i).value  + "/"+ get_by_id("private_portE" + i).value 
					+ "/" + get_by_id("ip" + i).value + "/" + get_by_id("schedule" + i).value;
		        count++;
			}
		}

		if(submit_button_flag == 0){
			submit_button_flag = 1;
			get_by_id("form1").submit();
		}
	}
	
	function chage_port(start, end){
		var port_word = start;
		if(end > start){
			port_word += "-" + end;
		}
		return port_word;
	}
	
	function check_date(){
		var is_change = false;
		if(!is_change){
			for(i=0;i<rule_max_num;i++){
				var kk = i;
				if(i<10){
					kk = "0"+i;
				}
				var is_enable = get_checked_value(get_by_id("enable" + i));
				var temp_pf = is_enable + "/" + get_by_id("name" + i).value + "/" + get_by_id("protocol" + i).value 
					+ "/" + get_by_id("public_portS" + i).value +"/"+ get_by_id("public_portE" + i).value 
					+ "/" + get_by_id("private_portS" + i).value  + "/"+ get_by_id("private_portE" + i).value 
					+ "/" + get_by_id("ip" + i).value + "/" + get_by_id("schedule" + i).value;
				
				if(get_by_id("port_forward_"+ kk).value != temp_pf){
					is_change = true;
					break;
				}
				
			}
		}
		if(is_change){
			if (!confirm(msg[IS_CHANGE_DATA])){
				return false;
			}
		}
		location.href="tools_schedules.asp";
	}
</script>    

<title>D-LINK SYSTEMS, INC | WIRELESS ROUTER | HOME</title>
<meta http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<style type="text/css">
<!--
.style1 {font-size: 11px}
-->
</style>
</head>

<body topmargin="1" leftmargin="0" rightmargin="0" bgcolor="#757575">
	<table id="header_container" border="0" cellpadding="5" cellspacing="0" width="838" align="center">
      <tr>
        <td width="100%">Product Page: <a href="http://support.dlink.com.tw/" onclick="return jump_if();">DIR-400</a></td>
        <td align="right" nowrap>&nbsp;</td>
        <td align="right" nowrap>Firmware Version: <% CmoGetStatus("version"); %></td>
      </tr>
    </table>
	<table id="topnav_container" border="0" cellpadding="0" cellspacing="0" width="838" align="center">
		<tr>
			<td align="center" valign="middle"><img src="wlan_masthead.gif" width="836" height="92"></td>
		</tr>
	</table>
	<table border="0" cellpadding="2" cellspacing="1" width="838" align="center" bgcolor="#FFFFFF">
		<tr id="topnav_container">
			<td><img src="short_modnum.gif" width="125" height="25"></td>
			<td id="topnavoff"><a href="wizard.asp" onclick="return jump_if();">SETUP</a></td>
			<td id="topnavon"><a href="adv_portforward.asp" onclick="return jump_if();">ADVANCED</a></td>
			<td id="topnavoff"><a href="tools_admin.asp" onclick="return jump_if();">MAINTENANCE</a></td>
			<td id="topnavoff"><a href="st_device.asp" onclick="return jump_if();">STATUS</a></td>
			<td id="topnavoff"><a href="support_men.asp" onclick="return jump_if();">HELP</a></td>
		</tr>
	</table>
	<table border="1" cellpadding="2" cellspacing="0" width="838" height="100%" align="center" bgcolor="#FFFFFF" bordercolordark="#FFFFFF">
		<tr>
			<td id="sidenav_container" valign="top" width="125" align="right">
				<table cellSpacing=0 cellPadding=0 border=0>
                  <tbody>
                    <tr>
                      <td id=sidenav_container>
                        <div id=sidenav>
                          <UL>
                            <!--LI><div><a href="adv_virtual.asp">Virtual Server</a></div></LI-->
                            <LI><div id=sidenavoff>Port Forwarding</div></LI>
                            <LI><div><a href="adv_appl.asp" onclick="return jump_if();">Application Rules</a></div></LI>
                            <!--LI><div><a href="adv_qos.asp">Qos Engine</a></div></LI-->
                            <LI><div><a href="adv_filters_mac.asp" onclick="return jump_if();">Access Control</a></div></LI>
                            <!--LI><div><a href="adv_access_control.asp">Access control</a></div></LI-->
							<LI><div><a href="adv_dmz.asp" onclick="return jump_if();">Firewall & DMZ</a></div></LI>
                            <LI><div><a href="adv_wlan_perform.asp" onclick="return jump_if();">Advanced Wireless </a></div></LI>
                            <!--LI><div><a href="adv_wps.asp">Wi-fi Protected Setup</a></div></LI-->
                            <LI><div><a href="adv_network.asp" onclick="return jump_if();">Advanced Network </a></div></LI>
                            <LI><div><a href="adv_routing.asp" onclick="return jump_if();">Routing</a></div></LI>
                            <li><div><a href="logout1.asp" onclick="return jump_if();">Logout</a></div></LI>
                          </UL>
                      	</div>                  
	                  	<br>
						<div id="wan_online" style="display:none">
						<table>
							<tr>
								<td><img src="wan_on.jpg"></td>
								<td class=wansts>Internet Online</td>
							</tr>
						</table>
						</div>
						<div id="wan_offline">
						<table>
							<tr>
								<td><img src="wan_off.jpg"></td>
								<td class="wansts">Internet Offline</td>
							</tr>
						</table>
						</div>
						<br>
						<table>
							<tr>
								<td align="center" width="120"><input type="button" class="button_submit" value="Reboot" onClick="page_reboot();"></td>
							</tr>
						</table>
                      </td>
                    </tr>
                  </tbody>
                </table></td>
				<input type="hidden" id="schedule_rule_0" name="schedule_rule_0" value="<% CmoGetCfg("schedule_rule_00","none"); %>">
                <input type="hidden" id="schedule_rule_1" name="schedule_rule_1" value="<% CmoGetCfg("schedule_rule_01","none"); %>">
                <input type="hidden" id="schedule_rule_2" name="schedule_rule_2" value="<% CmoGetCfg("schedule_rule_02","none"); %>">
                <input type="hidden" id="schedule_rule_3" name="schedule_rule_3" value="<% CmoGetCfg("schedule_rule_03","none"); %>">
                <input type="hidden" id="schedule_rule_4" name="schedule_rule_4" value="<% CmoGetCfg("schedule_rule_04","none"); %>">
                <input type="hidden" id="schedule_rule_5" name="schedule_rule_5" value="<% CmoGetCfg("schedule_rule_05","none"); %>">
                <input type="hidden" id="schedule_rule_6" name="schedule_rule_6" value="<% CmoGetCfg("schedule_rule_06","none"); %>">
                <input type="hidden" id="schedule_rule_7" name="schedule_rule_7" value="<% CmoGetCfg("schedule_rule_07","none"); %>">
                <input type="hidden" id="schedule_rule_8" name="schedule_rule_8" value="<% CmoGetCfg("schedule_rule_08","none"); %>">
                <input type="hidden" id="schedule_rule_9" name="schedule_rule_9" value="<% CmoGetCfg("schedule_rule_09","none"); %>">
				
                 <form id="form1" name="form1" method="post" action="apply.cgi">
                  <input type="hidden" id="html_response_page" name="html_response_page" value="back.asp">
				<input type="hidden" id="html_response_message" name="html_response_message" value="The setting is saved.">
				<input type="hidden" id="html_response_return_page" name="html_response_return_page" value="adv_portforward.asp">
				<input type="hidden" id="reboot_type" name="reboot_type" value="filter">
                <input type="hidden" id="port_forward_00" name="port_forward_00" value="<% CmoGetCfg("port_forward_00","none"); %>">
                <input type="hidden" id="port_forward_01" name="port_forward_01" value="<% CmoGetCfg("port_forward_01","none"); %>">
                <input type="hidden" id="port_forward_02" name="port_forward_02" value="<% CmoGetCfg("port_forward_02","none"); %>">
                <input type="hidden" id="port_forward_03" name="port_forward_03" value="<% CmoGetCfg("port_forward_03","none"); %>">
                <input type="hidden" id="port_forward_04" name="port_forward_04" value="<% CmoGetCfg("port_forward_04","none"); %>">
                <input type="hidden" id="port_forward_05" name="port_forward_05" value="<% CmoGetCfg("port_forward_05","none"); %>">
                <input type="hidden" id="port_forward_06" name="port_forward_06" value="<% CmoGetCfg("port_forward_06","none"); %>">
                <input type="hidden" id="port_forward_07" name="port_forward_07" value="<% CmoGetCfg("port_forward_07","none"); %>">
                <input type="hidden" id="port_forward_08" name="port_forward_08" value="<% CmoGetCfg("port_forward_08","none"); %>">
                <input type="hidden" id="port_forward_09" name="port_forward_09" value="<% CmoGetCfg("port_forward_09","none"); %>">
                <input type="hidden" id="port_forward_10" name="port_forward_10" value="<% CmoGetCfg("port_forward_10","none"); %>">
                <input type="hidden" id="port_forward_11" name="port_forward_11" value="<% CmoGetCfg("port_forward_11","none"); %>">
                <input type="hidden" id="port_forward_12" name="port_forward_12" value="<% CmoGetCfg("port_forward_12","none"); %>">
                <input type="hidden" id="port_forward_13" name="port_forward_13" value="<% CmoGetCfg("port_forward_13","none"); %>">
                <input type="hidden" id="port_forward_14" name="port_forward_14" value="<% CmoGetCfg("port_forward_14","none"); %>">
                <input type="hidden" id="port_forward_15" name="port_forward_15" value="<% CmoGetCfg("port_forward_15","none"); %>">
                <input type="hidden" id="port_forward_16" name="port_forward_16" value="<% CmoGetCfg("port_forward_16","none"); %>">
                <input type="hidden" id="port_forward_17" name="port_forward_17" value="<% CmoGetCfg("port_forward_17","none"); %>">
                <input type="hidden" id="port_forward_18" name="port_forward_18" value="<% CmoGetCfg("port_forward_18","none"); %>">
                <input type="hidden" id="port_forward_19" name="port_forward_19" value="<% CmoGetCfg("port_forward_19","none"); %>">
                <input type="hidden" id="port_forward_20" name="port_forward_20" value="<% CmoGetCfg("port_forward_20","none"); %>">
				<input type="hidden" id="port_forward_21" name="port_forward_21" value="<% CmoGetCfg("port_forward_21","none"); %>">
				<input type="hidden" id="port_forward_22" name="port_forward_22" value="<% CmoGetCfg("port_forward_22","none"); %>">
				<input type="hidden" id="port_forward_23" name="port_forward_23" value="<% CmoGetCfg("port_forward_23","none"); %>">
				<input type="hidden" id="port_forward_24" name="port_forward_24" value="<% CmoGetCfg("port_forward_24","none"); %>">
                
                
                
                <input type="hidden" id="dhcp_list" name="dhcp_list" value="<% CmoGetList("dhcpd_leased_table"); %>">
			<td valign="top" id="maincontent_container">
				<div id=maincontent>
				  
                  <div id=box_header>
                    <h1>Port Forwarding Rules : </h1>
                    <p>The Advanced Port Forwarding option allows you to define a single public port on your router for redirection to an internal LAN IP Address and Private LAN port if required. This feature is useful for hosting online service such as FTP or Web Servers.</p>
                    <br><br>
                    <input name="button" type="button" class=button_submit value="Save Settings" onClick="send_request()">
                    <input name="button2" type=button class=button_submit value="Don't Save Settings" onclick="page_cancel('form1', 'adv_portforward.asp');">
                  </div>
                  <div class=box>
                    <h2>25 &ndash; PORT FORWARDING RULES</h2>
                    <p>Remaining number of rules that can be created: <span id="show_resert"></span></p>
                    <table borderColor=#ffffff cellSpacing=1 cellPadding=2 width=525 bgColor=#dfdfdf border=1>
                      <tbody>
                        <tr>
                          <td align=middle width=20>&nbsp;</td>
                          <td width="36">&nbsp;</td>
                          <td width="120">&nbsp;</td>
                          <td width="140" align=middle><div align="center">Port</div></td>
                          <td width="160" align=middle><div align="center">Traffic Type</div></td>
                        </tr>
                        <script>
							var Schedule_list = set_schedule_option(Schedule_list);
							var Application_list = set_application_option(Application_list, default_rule);
							set_lan_dhcp_list();
							for(var i=0 ; i<rule_max_num ; i++){
								document.write("<tr>");
								document.write("<td align=center valign=middle rowspan=2><input type=checkbox id=\"enable" + i + "\" name=\"enable" + i + "\" value=\"1\"></td>");
								document.write("<td valign=bottom>Name<br><input type=text class=flatL id=\"name" + i + "\" name=\"name" + i +"\" size=16 maxlength=31></td>");
								document.write("<td align=left valign=bottom>");
								document.write("<input id=copy_app" + i + " name=copy_app" + i + " type=button value=<< onClick='copy_application(" + i + ")' style=\"width: 20;\">");
								document.write("<select style='width:90' id=application" + i +" name=application" + i +" modified=\"ignore\">");
								document.write("<option>Application Name</option>");
								document.write(Application_list);
								document.write("</select></td>");
								document.write("<td align=center valign=bottom>Public Port<br><input type=text class=flatL id=public_portS" + i + " name=public_portS" + i +" size=5 maxlength=5>");
								document.write("~<input type=text class=flatL id=public_portE" + i + " name=public_portE" + i +" size=5 maxlength=5></td>");
								document.write("<td align=center valign=middle>");
								document.write("<select width=80 id=protocol" + i + " name=protocol" + i +" >");
								document.write("<option value=TCP>TCP</option>");
								document.write("<option value=UDP>UDP</option>");
								document.write("<option value=Any selected>Any</option>");
								document.write("</select></td>");			
								document.write("</tr>");
								
								document.write("<tr>");
								document.write("<td valign=bottom>IP Address<br><input type=text class=flatL  id=ip" + i + " name=ip" + i +" size=16 maxlength=15></td>");
								document.write("<td align=left valign=bottom>");
								document.write("<input id=copy_ip" + i + " name=copy_ip" + i + " type=button value=<< onClick='copy_ip(" + i + ")' style=\"width: 20;\">");
								document.write("<select style='width:90' id=ip_list" + i +" name=ip_list" + i +" modified=\"ignore\">");
								document.write("<option value=-1>Computer Name</option>");
								document.write(DHCPList_word);			
								document.write("</select></td>");
								document.write("<td align=center valign=bottom>Private Port<br><input type=text class=flatL id=private_portS" + i + " name=private_portS" + i +" size=5 maxlength=5>");
								document.write("~<input type=text class=flatL id=private_portE" + i + " name=private_portE" + i +" size=5 maxlength=5></td>");
								document.write("<td align=center>Schedule<br>");
								document.write("<select width=30 id=schedule" + i + " name=schedule" + i + " style='width:70'>");
								document.write("<option value=\"Always\" selected>Always</option>");
								document.write(Schedule_list);
								document.write("</select><INPUT type=\"button\" value=\"Add New\" onclick=\"check_date();\" width=20>");
								document.write("</td>");
								document.write("</tr>");
								
							}
						</script>
                      </tbody>
                    </table>
                  </div>
                </div>
                <input name="button22" type="button" class=button_submit value="Save Settings" onClick="send_request()">
                <input name="button33" type=button class=button_submit value="Don't Save Settings" onclick="page_cancel('form1', 'adv_portforward.asp');">
             </td></form>
			<td valign="top" width="150" id="sidehelp_container" align="left">
				<table borderColor=#ffffff cellSpacing=0 borderColorDark=#ffffff 
      cellPadding=2 bgColor=#ffffff borderColorLight=#ffffff border=0>
                  <tbody>
                    <tr>
                      <td id=help_text><b>Helpful Hints..</b><br>
                          <br>
                          <span class="style1">&#149;&nbsp; Check the<strong> Application Name</strong> drop down menu for a list of pre-defined applications that you can select from.  If you select one of the pre-defined applications, click the arrow button next to the drop down menu to fill out the appropriate fields.</span></p>
                        <p class="style1">&#149;&nbsp; You can select your computer from the list of DHCP clients in the <strong>Computer Name</strong> drop down menu, or enter the IP address manually of the computer you would like to open the specified port to.</p>
                        <p class="style1">&#149;&nbsp; In order to apply a schedule to a Port Forwarding Rule, you must first define a schedule on the <strong>Maintenance>Schedules</strong> page.</p>
                        <p class="style1">&#149;&nbsp; This feature allows you to open a range of ports to a computer on your network.  To do so, enter the first port in the range you would like to open in the <strong>Start</strong> field and last port of the range in the <strong>End</strong> field.</p>
                      <p class="style1">&#149;&nbsp; To open a single port using this feature, simply enter the same number in both the <strong>Start</strong> and <strong>End</strong> fields. </p></td>
                    </tr>
                  </tbody>
			  </table></td>
		</tr>
	</table>
	<table id="footer_container" border="0" cellpadding="0" cellspacing="0" width="838" align="center">
		<tr>
			<td width="125" align="center">&nbsp;&nbsp;<img src="wireless_tail.gif" width="114" height="35"></td>
			<td width="10">&nbsp;</td><td>&nbsp;</td>
		</tr>
	</table>
<br>
<div align="center">Copyright &copy; 2006 D-Link Corporation.</div>
<br>
</body>
<script>
	onPageLoad();
</script>
</html>
