<html>
<head>
<link rel="STYLESHEET" type="text/css" href="css_router.css">
<script language="JavaScript" src="public.js"></script>
<script language="JavaScript" src="public_msg.js"></script>
<script language="JavaScript">
	var submit_button_flag = 0;
	function onPageLoad(){
		var sel_qos_enable = get_by_id("qos_enable").value;
		var p_qos_enable = get_by_id("qos_engine_enabled");
		if(sel_qos_enable == "1"){
			p_qos_enable.checked =true;
		}else{
			p_qos_enable.checked =false;
		}
		
		get_by_id("uplink_speed").value = get_by_id("qos_uplink").value;
		get_by_id("downlink_speed").value = get_by_id("qos_downlink").value;

		for (var i = 0; i < 20; i++){
			var temp_qos;
			if (i > 9){
				temp_qos = get_by_id("qos_rule_" + i).value;
			}else{
				temp_qos = get_by_id("qos_rule_0" + i).value;				
			}

			if(temp_qos ==""){
				if (i > 9){
					 get_by_id("qos_rule_" + i).value = "0//4/0/0/0///1/65535///1/65535";
				}else{
					 get_by_id("qos_rule_0" + i).value = "0//4/0/0/0///1/65535///1/65535";
				}
			}
			//protocol_change(i);
		}
		qos_enable_click();
	}

	function set_qos_rule(){

		for (var i = 0; i < 20; i++){
			var temp_qos;
			
			if (i > 9){
				temp_qos = (get_by_id("qos_rule_" + i).value).split("/");
			}else{
				temp_qos = (get_by_id("qos_rule_0" + i).value).split("/");				
			}
			
			if (temp_qos.length > 1){
				
				if (temp_qos[0] == "1"){
					get_by_id("qos_rule_enabled" + i).checked = true;
				}
				
				get_by_id("name" + i).value = temp_qos[1];
				set_priority(temp_qos[2], get_by_id("priority" + i));	
				get_by_id("uplink" + i).value = temp_qos[3];
				get_by_id("downlink" + i).value = temp_qos[4];
				set_protocol(i, temp_qos[5], get_by_id("protocol_select" + i));
				get_by_id("local_start_ip" + i).value = temp_qos[6];
				get_by_id("local_end_ip" + i).value = temp_qos[7];
				get_by_id("local_start_port" + i).value = temp_qos[8];
				get_by_id("local_end_port" + i).value = temp_qos[9];
				get_by_id("remote_start_ip" + i).value = temp_qos[10];
				get_by_id("remote_end_ip" + i).value = temp_qos[11];
				get_by_id("remote_start_port" + i).value = temp_qos[12];
				get_by_id("remote_end_port" + i).value = temp_qos[13];
				
				if(get_by_id("qos_engine_enabled").checked){
					 detect_protocol_change_port(i);
				}
			}
		}
	}
	
	function set_protocol(i, which_value, obj){
		/*for (var i = 0; i < 5; i++){    
			if (which_value == obj.options[obj.selectedIndex].value){
				obj.selectedIndex = i;
				break;
			}
		}*/
		if(which_value == 0){ //Any
			get_by_id("protocol"+i).disabled=true;
			get_by_id("protocol_select"+i).selectedIndex = 0;
		}else if(which_value == 6){ //TCP
			get_by_id("protocol"+i).disabled=true;
			get_by_id("protocol_select"+i).selectedIndex = 1;
		}else if(which_value== 17){ // UDP
			get_by_id("protocol"+i).disabled=true;
			get_by_id("protocol_select"+i).selectedIndex = 2;
		}else if(which_value == 256){ // Both 
			get_by_id("protocol"+i).disabled=true;
			get_by_id("protocol_select"+i).selectedIndex = 3;
		}else if(which_value == 1){ // ICMP
			get_by_id("protocol"+i).disabled=true;
			get_by_id("protocol_select"+i).selectedIndex = 4;
		}else{ // Other
			get_by_id("protocol"+i).disabled=false;
			get_by_id("protocol_select"+i).selectedIndex = 5;
		}
		get_by_id("protocol"+i).value=which_value;
	}

	function set_priority(which_value, obj){
		for (var i = 0; i < 4; i++){    
			if (which_value == obj.options[i].value){
				obj.selectedIndex = i;
				break;
			}
		}
	}

	function qos_enable_click(){
		
		if(get_by_id("qos_engine_enabled").checked != true){
		
			get_by_id("uplink_speed").disabled = true;
			get_by_id("downlink_speed").disabled = true;
		
			for(var i=0;i<20;i++){
				get_by_id("qos_rule_enabled"+i).disabled = true;
				get_by_id("name"+i).disabled = true;
				get_by_id("priority"+i).disabled = true;
				get_by_id("protocol"+i).disabled = true;
				get_by_id("protocol_select"+i).disabled = true;
				get_by_id("uplink"+i).disabled = true;
				get_by_id("downlink"+i).disabled = true;
				get_by_id("local_start_ip"+i).disabled = true;
				get_by_id("local_end_ip"+i).disabled = true;
				get_by_id("local_start_port"+i).disabled = true;
				get_by_id("local_end_port"+i).disabled = true;
				get_by_id("remote_start_ip"+i).disabled = true;
				get_by_id("remote_end_ip"+i).disabled = true;
				get_by_id("remote_start_port"+i).disabled = true;
				get_by_id("remote_end_port"+i).disabled = true;
			}

		}else{
			get_by_id("uplink_speed").disabled = false;
			get_by_id("downlink_speed").disabled = false;
		
			for(var i=0;i<20;i++){
				get_by_id("qos_rule_enabled" +i).disabled = false;
				get_by_id("name"+i).disabled = false;
				get_by_id("priority"+i).disabled = false;
				if(get_by_id("protocol_select"+i).selectedIndex == 5){ // Other
					get_by_id("protocol"+i).disabled = false;
				}else{
					get_by_id("protocol"+i).disabled = true;
				}
				get_by_id("protocol_select"+i).disabled = false;
				get_by_id("uplink"+i).disabled = false;
				get_by_id("downlink"+i).disabled = false;
				get_by_id("local_start_ip"+i).disabled = false;
				get_by_id("local_end_ip"+i).disabled = false;
				get_by_id("remote_start_ip"+i).disabled = false;
				get_by_id("remote_end_ip"+i).disabled = false;
				detect_protocol_change_port(i);
			}
		}
	}		
	
	function protocol_change(i){
	
		if(get_by_id("protocol_select"+i).selectedIndex == 0){ //Any
			get_by_id("protocol"+i).disabled=true;
			get_by_id("protocol"+i).value=0;
		}else if(get_by_id("protocol_select"+i).selectedIndex == 1){ //TCP
			get_by_id("protocol"+i).disabled=true;
			get_by_id("protocol"+i).value=6;
		}else if(get_by_id("protocol_select"+i).selectedIndex == 2){ // UDP
			get_by_id("protocol"+i).disabled=true;
			get_by_id("protocol"+i).value=17;
		}else if(get_by_id("protocol_select"+i).selectedIndex == 3){ // Both 
			get_by_id("protocol"+i).disabled=true;
			get_by_id("protocol"+i).value=256;
		}else if(get_by_id("protocol_select"+i).selectedIndex == 4){ // ICMP
			get_by_id("protocol"+i).disabled=true;
			get_by_id("protocol"+i).value=1;
		}else if(get_by_id("protocol_select"+i).selectedIndex == 5){ // Other
			get_by_id("protocol"+i).disabled=false;
			get_by_id("protocol"+i).value="";
		}
	}

	function detect_protocol_change_port(i){
		var proto = get_by_id("protocol_select"+i).selectedIndex;
		if((proto == 0)||(proto == 4)||(proto == 5)){
			get_by_id("local_start_port"+i).disabled=true;
			get_by_id("local_end_port"+i).disabled=true;
			get_by_id("remote_start_port"+i).disabled=true;
			get_by_id("remote_end_port"+i).disabled=true;
		}else{
			get_by_id("local_start_port"+i).disabled=false;
			get_by_id("local_end_port"+i).disabled=false;
			get_by_id("remote_start_port"+i).disabled=false;
			get_by_id("remote_end_port"+i).disabled=false;
}
	}

	function send_request(){
	
		if (get_by_id("qos_engine_enabled").checked==true){						
			get_by_id("qos_enable").value = "1";
			
		get_by_id("qos_uplink").value = get_by_id("uplink_speed").value;
		get_by_id("qos_downlink").value = get_by_id("downlink_speed").value;
			
	//save speed
			if(get_by_id("uplink_speed").value == "" ){
				alert("Uplink Speed can't be empty.");
				get_by_id("uplink_speed").focus();
				get_by_id("uplink_speed").select();
				return false;
			}else if(get_by_id("uplink_speed").value == 0 ){
				alert("Uplink Speed can't be 0 kbps.");
				get_by_id("uplink_speed").focus();
				get_by_id("uplink_speed").select();
				return false;
			}
			
			if(get_by_id("downlink_speed").value == "" ){
				alert("Downlink Speed can't be empty.");
				get_by_id("downlink_speed").focus();
				get_by_id("downlink_speed").select();
				return false;
			}else if(get_by_id("downlink_speed").value == 0 ){
				alert("Downlink Speed can't be 0 kbps.");
				get_by_id("downlink_speed").focus();
				get_by_id("downlink_speed").select();
				return false;
			}			
		}else{		
			get_by_id("qos_enable").value = "0";
		}	

	
		var count = 0;
		for (var i = 0; i < 20; i++){		
			var local_start_ip = get_by_id("local_start_ip" + i).value;
			var local_end_ip = get_by_id("local_end_ip" + i).value;
			var remote_start_ip = get_by_id("remote_start_ip" + i).value;
			var remote_end_ip = get_by_id("remote_end_ip" + i).value;
    		
    		var ip_addr_msg = replace_msg(all_ip_addr_msg,"IP address");
    		var ip_addr_msg = replace_msg(all_ip_addr_msg,"Remote IP address");
    		
    		var temp_local_start_ip_obj = new addr_obj(local_start_ip.split("."), ip_addr_msg, false, false);
    		var temp_local_end_ip_obj = new addr_obj(local_end_ip.split("."), ip_addr_msg, false, false);
    		var temp_remote_start_ip_obj = new addr_obj(remote_start_ip.split("."), remote_ip_addr_msg, false, false);
    		var temp_remote_end_ip_obj = new addr_obj(remote_end_ip.split("."), remote_ip_addr_msg, false, false);
			var is_enable = 0;
			var temp_qos;
			var check_name = "";
			
			if (i > 9){
				get_by_id("qos_rule_" + i).value = "";
			}else{
				get_by_id("qos_rule_0" + i).value = "";
			}
						
			if(get_by_id("qos_rule_enabled" + i).checked){
		        is_enable = 1;
				
				// check name				
				if(get_by_id("name" + i).value == ""){
					alert("Rule number" + i + " must have a name.Please enter a name.");
					get_by_id("name"+i).focus();
					get_by_id("name"+i).select();
					return false;
				}else if(get_by_id("name" + i).value != ""){
					check_name = get_by_id("name" + i).value;
					if(Find_word(check_name,"'") || Find_word(check_name,'"') || Find_word(check_name,"/")){
						alert("Rules name "+ i +" invalid. the legal characters can not enter ',/,''");
						get_by_id("name"+i).focus();
						get_by_id("name"+i).select();
						return false
					}
				}
				
				//check ip 
				if (!check_address(temp_local_start_ip_obj) || !check_address(temp_local_end_ip_obj) ||!check_address(temp_remote_start_ip_obj) ||!check_address(temp_remote_end_ip_obj)){
						return false;
					}

				//check port
				if((get_by_id("protocol_select"+i).selectedIndex ==1) || (get_by_id("protocol_select"+i).selectedIndex ==2) || (get_by_id("protocol_select"+i).selectedIndex ==3)){
				if(get_by_id("local_start_port"+i).value <= 0 || get_by_id("local_start_port"+i).value > 65536){
						alert("Local start port should be between 1 and 65535 inclusive.");
					get_by_id("local_start_port"+i).focus();
					get_by_id("local_start_port"+i).select();
						return false;
				}else if(get_by_id("local_end_port"+i).value <= 0 || get_by_id("local_end_port"+i).value > 65536){
						alert("Local end port should be between 1 and 65535 inclusive.");
					get_by_id("local_end_port"+i).focus();
					get_by_id("local_end_port"+i).select();
						return false;
				}else if(get_by_id("local_start_port"+i).value > get_by_id("local_end_port"+i).value){
						alert("Local start port must be smaller than Local end port.");
					get_by_id("local_start_port"+i).focus();
					get_by_id("local_start_port"+i).select();
						return false;
					}
		
					
				if(get_by_id("remote_start_port"+i).value <= 0 || get_by_id("remote_start_port"+i).value > 65536){
						alert("Remote start port should be between 1 and 65535 inclusive.");
					get_by_id("remote_start_port"+i).focus();
					get_by_id("remote_start_port"+i).select();
						return false;
				}else if(get_by_id("remote_end_port"+i).value <= 0 || get_by_id("remote_end_port"+i).value > 65536){
						alert("Remote end port should be between 1 and 65535 inclusive.");
					get_by_id("remote_end_port"+i).focus();
					get_by_id("remote_end_port"+i).select();
						return false;
				}else if(get_by_id("remote_start_port"+i).value > get_by_id("remote_end_port"+i).value){
						alert("Remote start port must be smaller than Remote end port.");
					get_by_id("remote_start_port"+i).focus();
					get_by_id("remote_start_port"+i).select();
						return false;
					}
				}
				//check link value
					if(get_by_id("uplink"+i).value == 0){
						alert("Uplink can't be 0 Kbps.");
						get_by_id("uplink"+i).focus();
						get_by_id("uplink"+i).select();
						return false;
				}else if(parseInt(get_by_id("uplink"+i).value) > parseInt(get_by_id("uplink_speed").value)){
						alert("Uplink must be smaller than " + get_by_id("uplink_speed").value + " Kbps.");
						get_by_id("uplink"+i).focus();
						get_by_id("uplink"+i).select();
						return false;
					}
					
					if(get_by_id("downlink"+i).value == 0){
						alert("Downlink can't be 0 Kbps.");
						get_by_id("downlink"+i).focus();
						get_by_id("downlink"+i).select();
						return false;
				}else if(parseInt(get_by_id("downlink"+i).value) > parseInt(get_by_id("downlink_speed").value)){
						alert("Downlink must be smaller than " + get_by_id("downlink_speed").value + " Kbps.");
						get_by_id("downlink"+i).focus();
						get_by_id("downlink"+i).select();
						return false;
					}
				}

			if (count > 9){
				temp_qos = get_by_id("qos_rule_" + count);
			}else{
				temp_qos = get_by_id("qos_rule_0" + count);
			}

		//enable/name/priority/uplink/downlink/protocol/local_start_ip/local_end_ip/local_start_port/local_end_port/remote_start_ip/remote_end_ip/remote_start_port/remote_end_port
			temp_qos.value = is_enable + "/" + get_by_id("name" + i).value + "/" + get_by_id("priority" + i).options[get_by_id("priority" + i).selectedIndex].value	+ "/" 
							+ get_by_id("uplink" + i).value + "/" + get_by_id("downlink" + i).value + "/" 
							+ get_by_id("protocol" + i).value + "/" 
							+ get_by_id("local_start_ip" + i).value + "/" + get_by_id("local_end_ip" + i).value + "/" + get_by_id("local_start_port" + i).value + "/" 
							+ get_by_id("local_end_port" + i).value+ "/" + get_by_id("remote_start_ip" + i).value + "/" 
							+ get_by_id("remote_end_ip" + i).value + "/" + get_by_id("remote_start_port" + i).value + "/" + get_by_id("remote_end_port" + i).value;

			count++;
		}
		
		if(submit_button_flag == 0){
			submit_button_flag = 1;
			return true;
		}else{
			return false;
		}
	}
</script>
<title>D-LINK SYSTEMS, INC | WIRELESS ROUTER | HOME</title>
<meta http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<style type="text/css">
<!--
.style1 {font-size: 11px}
-->
</style>
</head>
<body topmargin="1" leftmargin="0" rightmargin="0" bgcolor="#757575">
	<table id="header_container" border="0" cellpadding="5" cellspacing="0" width="838" align="center">
      <tr>
        <td width="100%">Product Page: <a href="http://support.dlink.com.tw/">DIR-400</a></td>
        <td align="right" nowrap>&nbsp;</td>
        <td align="right" nowrap>Firmware Version: <% CmoGetStatus("version"); %></td>
      </tr>
    </table>
	<table id="topnav_container" border="0" cellpadding="0" cellspacing="0" width="838" align="center">
		<tr><td align="center" valign="middle"><img src="wlan_masthead.gif" width="836" height="92"></td></tr>
	</table>
	<table border="0" cellpadding="2" cellspacing="1" width="838" align="center" bgcolor="#FFFFFF">
		<tr id="topnav_container">
			<td><img src="short_modnum.gif" width="125" height="25"></td>
			<td id="topnavoff"><a href="wizard.asp">SETUP</a></td>
			<td id="topnavon"><a href="adv_portforward.asp">ADVANCED</a></td>
			<td id="topnavoff"><a href="tools_admin.asp">MAINTENANCE</a></td>
			<td id="topnavoff"><a href="st_device.asp">STATUS</a></td>
			<td id="topnavoff"><a href="support_men.asp">HELP</a></td>
		</tr>
	</table>
	<table border="1" cellpadding="2" cellspacing="0" width="838" height="100%" align="center" bgcolor="#FFFFFF" bordercolordark="#FFFFFF">
		<tr>
			<td id="sidenav_container" valign="top" width="125" align="right">
				<table cellSpacing=0 cellPadding=0 border=0>
                  <tbody>
                    <tr>
                      <td id=sidenav_container>
                        <div id=sidenav>
                          <UL>
							<LI>
                              <div><a href="adv_virtual.asp">Virtual Server</a></div>
                            <LI>
                              <div><a href="adv_portforward.asp">Port Forwarding</a></div>
                            <LI>
                              <div ><a href="adv_appl.asp">Application Rules</a></div>
							<LI>
                              <div id=sidenavoff>Qos Engine</div>
                            <LI>
                              <div><a href="adv_filters_mac.asp">Network Filter</a></div>
							<LI>
							  <!--<div><a href="adv_access_control.asp">Access control</a></div>
                            <LI>-->
                              <div><a href="adv_filters_url.asp">Website Filter</a></div>
                            <LI>
                              <div><a href="adv_dmz.asp">Firewall Settings</a></div>
                            <LI>
                              <div><a href="adv_wlan_perform.asp">advanced Wireless</a></div>
                            <LI>
							  <div><a href="adv_wps.asp">Wi-fi Protected Setup</a></div>
                            <LI>
                              <div><a href="adv_network.asp">advanced Network</a></div>
                            </LI>
                          </UL>
                      </div></td>
                    </tr>
                  </tbody>
                </table></td>
				
                <form id="form1" name="form1" method="post" action="apply.cgi">
                <input type="hidden" id="html_response_page" name="html_response_page" value="back.asp">
				<input type="hidden" id="html_response_message" name="html_response_message" value="The setting is saved.">
				<input type="hidden" id="html_response_return_page" name="html_response_return_page" value="adv_qos.asp">
				
                <input type="hidden" id="qos_rule_00" name="qos_rule_00" value="<% CmoGetCfg("qos_rule_00","none"); %>">
                <input type="hidden" id="qos_rule_01" name="qos_rule_01" value="<% CmoGetCfg("qos_rule_01","none"); %>">
                <input type="hidden" id="qos_rule_02" name="qos_rule_02" value="<% CmoGetCfg("qos_rule_02","none"); %>">
                <input type="hidden" id="qos_rule_03" name="qos_rule_03" value="<% CmoGetCfg("qos_rule_03","none"); %>">
                <input type="hidden" id="qos_rule_04" name="qos_rule_04" value="<% CmoGetCfg("qos_rule_04","none"); %>">
                <input type="hidden" id="qos_rule_05" name="qos_rule_05" value="<% CmoGetCfg("qos_rule_05","none"); %>">
                <input type="hidden" id="qos_rule_06" name="qos_rule_06" value="<% CmoGetCfg("qos_rule_06","none"); %>">
                <input type="hidden" id="qos_rule_07" name="qos_rule_07" value="<% CmoGetCfg("qos_rule_07","none"); %>">
                <input type="hidden" id="qos_rule_08" name="qos_rule_08" value="<% CmoGetCfg("qos_rule_08","none"); %>">
                <input type="hidden" id="qos_rule_09" name="qos_rule_09" value="<% CmoGetCfg("qos_rule_09","none"); %>">
                <input type="hidden" id="qos_rule_10" name="qos_rule_10" value="<% CmoGetCfg("qos_rule_10","none"); %>">
                <input type="hidden" id="qos_rule_11" name="qos_rule_11" value="<% CmoGetCfg("qos_rule_11","none"); %>">
                <input type="hidden" id="qos_rule_12" name="qos_rule_12" value="<% CmoGetCfg("qos_rule_12","none"); %>">
                <input type="hidden" id="qos_rule_13" name="qos_rule_13" value="<% CmoGetCfg("qos_rule_13","none"); %>">
                <input type="hidden" id="qos_rule_14" name="qos_rule_14" value="<% CmoGetCfg("qos_rule_14","none"); %>">
                <input type="hidden" id="qos_rule_15" name="qos_rule_15" value="<% CmoGetCfg("qos_rule_15","none"); %>">
                <input type="hidden" id="qos_rule_16" name="qos_rule_16" value="<% CmoGetCfg("qos_rule_16","none"); %>">
                <input type="hidden" id="qos_rule_17" name="qos_rule_17" value="<% CmoGetCfg("qos_rule_17","none"); %>">
                <input type="hidden" id="qos_rule_18" name="qos_rule_18" value="<% CmoGetCfg("qos_rule_18","none"); %>">
                <input type="hidden" id="qos_rule_19" name="qos_rule_19" value="<% CmoGetCfg("qos_rule_19","none"); %>">

			<td valign="top" id="maincontent_container">
				<div id=maincontent>
                  <div id=box_header>
                    <h1>QoS Engine : </h1>
                     Use this section to configure D-Link's QoS Engine powered Technology. The QoS Engine improves your online gaming experience by ensuring that your game traffic is prioritized over other network traffic, such as FTP or Web. For best performance, use the Automatic Classification option to automatically set the priority for your applications. <br>
                    <br><br>
                    <input name="button" id="button" type="submit" class=button_submit value="Save Settings" onClick="return send_request()">
                    <input name="button2" type=button class=button_submit value="Don't Save Settings"  onClick="window.location.href='adv_qos.asp'">
                  </div>
                  <div class=box>
                    <h2>20 - QoS Engine Setup</h2>
                  	<table width=525 height="100">
				  		<tr>
							<td>
								Enable QoS Engine :&nbsp;
								<input id="qos_engine_enabled" name="qos_engine_enabled" type="checkbox" onClick="qos_enable_click()">
								<input type="hidden" id="qos_enable" name="qos_enable" value="<% CmoGetCfg("qos_enable","none"); %>">

							</td>
						</tr>
						<tr>
						  <td>
								Uplink Speed &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : &nbsp;
						   	 	<input id="uplink_speed" name="uplink_speed" size=7 maxlength=5>&nbsp;kbps						  
								<input type="hidden" id="qos_uplink" name="qos_uplink" value="<% CmoGetCfg("qos_uplink","none"); %>">
						 </td>
						</tr>
						<tr>
							<td>
								Downlink Speed &nbsp;&nbsp;&nbsp; : &nbsp;
						   	 	<input id="downlink_speed" name="downlink_speed" size=7 maxlength=5>&nbsp;kbps						  
								<input type="hidden" id="qos_downlink" name="qos_downlink" value="<% CmoGetCfg("qos_downlink","none"); %>">
							</td>
						</tr>
						
                    </table>
                  </div>
                  <div class=box>
                    <h2>QoS Engine Rules</h2>
                    <table bordercolor=#ffffff cellspacing=1 cellpadding=2 width=525 bgcolor=#dfdfdf border=1>
						<script>
								for(var i=0; i <20 ; i++){
										document.write("<tr>");
										document.write("<td rowspan=3><input id=qos_rule_enabled"+ i + " name=qos_rule_enabled"+ i + " type=checkbox></td>");
										document.write("<td>Name<br><input id=name" + i + " name=name" + i +" type=text size=16 maxlength=31></td>");
										document.write("<td> Priority<br>");
										document.write("<select id=priority"+ i + " name=priority"+ i + ">");
										document.write("<option value=0>Highest</option>");
										document.write("<option value=2>High</option>");
										document.write("<option value=4>Normal</option>");
										document.write("<option value=6>Low</option>");
										document.write("</select>");
										document.write("</td>");
										document.write("<td>Uplink<br> <input id=uplink"+ i + " name=uplink"+ i + " maxlength=6 size=4 type=text>kbps</td>");
										document.write("<td>Downlink<br><input id=downlink"+ i + " name=downlink"+ i + " maxlength=6 size=4 type=text>kbps</td>");
										document.write("<td>Protocol<br>");
										document.write("<input id=protocol"+ i + " name=protocol"+ i + " maxlength=3 size=2 type=text>");
										document.write("<<");
										document.write("<select id=protocol_select"+ i + " name=protocol_select"+ i + " onChange='protocol_change(" + i + ");detect_protocol_change_port(" + i + ");'>");
										document.write("<option value=0>Any</option>");
										document.write("<option value=6>TCP</option>");
										document.write("<option value=17>UDP</option>");
										document.write("<option value=256>Both</option>");
										document.write("<option value=1>ICMP</option>");
										document.write("<option value= >Other</option>");
										document.write("</select></td>");
										document.write("</tr>");
										document.write("<tr>");
										document.write("<td colspan=3 width=58%>Local IP ");
										document.write("<input id=local_start_ip"+ i + " name=local_start_ip"+ i + " type=text size=14 maxlength=15>to<input id=local_end_ip"+ i + " name=local_end_ip"+ i + " type=text size=14 maxlength=15>");
										document.write("</td>");
										document.write("<td colspan=2>Local Port ");
										document.write("<input id=local_start_port"+ i + " name=local_start_port"+ i + " type=text size=4 maxlength=5>to<input id=local_end_port"+ i + " name=local_end_port"+ i + " type=text size=4 maxlength=5>");
										document.write("</td>");
										document.write("</tr>");
										document.write("<tr>");
										document.write("<td colspan=3 width=58%>Remote IP ");
										document.write("<input id=remote_start_ip"+ i + " name=remote_start_ip"+ i + " type=text size=14 maxlength=15>to<input id=remote_end_ip"+ i + " name=remote_end_ip"+ i + " type=text size=14 maxlength=15>");
										document.write("</td>");
										document.write("<td colspan=2>Remote Port ");
										document.write("<input id=remote_start_port"+ i + " name=remote_start_port"+ i + " type=text size=4 maxlength=5 >to<input id=remote_end_port"+ i + " name=remote_end_port"+ i + " type=text size=4 maxlength=5>");
										document.write("</td>");
										document.write("</tr>");
								}
						</script>		
                    </table>
                  </div>
				</div>
			 </td></form>
			<td valign="top" width="150" id="sidehelp_container" align="left">
				<table borderColor=#ffffff cellSpacing=0 borderColorDark=#ffffff  cellPadding=2 bgColor=#ffffff borderColorLight=#ffffff border=0>
                  <tbody>
                    <tr>
                      <td id=help_text><b>Helpful Hints..</b></p>
                        <p class="style1">&#149;&nbsp;If the <strong>Measured Uplink Speed</strong> is known to be incorrect (that is, it produces suboptimal performance), disable <strong>Automatic Uplink Speed</strong> and enter the <strong>Manual Uplink Speed</strong>.</p> 
						<p class="style1"> &#149;&nbsp;Some experimentation and performance measurement may be required to converge on the optimal value.</p> 
                    </tr>
                  </tbody>
                </table>
			</td>
		</tr>
	</table>
	<table id="footer_container" border="0" cellpadding="0" cellspacing="0" width="838" align="center">
		<tr>
			<td width="125" align="center">&nbsp;&nbsp;<img src="wireless_tail.gif" width="114" height="35"></td>
			<td width="10">&nbsp;</td><td>&nbsp;</td>
		</tr>
	</table>
<br>
<div align="center">Copyright &copy; 2006 D-Link Corporation.</div>
<br>
</body>
<script>
	onPageLoad();
	set_qos_rule();
</script>
</html>