<html>
<head>
<script language="JavaScript" src="public.js"></script>
<script language="JavaScript" src="public_msg.js"></script>
<script language="JavaScript">	
	var DHCPList_word = "";
	var DHCPL_DataArray = new Array();
	
	function DHCP_Data(name, ip, mac, Exp_time, onList){
		this.Name = name;
		this.IP = ip;
		this.MAC = mac;
		this.EXP_T = Exp_time;
		this.OnList = onList ;
	}
	
	function set_lan_dhcp_list(){
		var index = 0;
		var temp_dhcp_list = get_by_id("dhcp_list").value.split(",");
		for (var i = 0; i < temp_dhcp_list.length; i++){	
			var temp_data = temp_dhcp_list[i].split("/");
			if(temp_data.length > 1){
				DHCPL_DataArray[DHCPL_DataArray.length++] = new DHCP_Data(temp_data[0], temp_data[1], temp_data[2], temp_data[3],index);
				DHCPList_word = DHCPList_word+ "<option value=\""+ index +"\">" + temp_data[0] + "</option>";
				index++;
			}
		}
	}
	
	function print_dhcp_sel(){
		var print_sel = get_by_id("sys_dhcp").value;
		if(print_sel > -1){
			get_by_id("sys_server").value = DHCPL_DataArray[print_sel].IP;
		}
	}
	
	function onPageLoad(){
		set_checked(get_by_id("log_system_activity").value, get_by_id("type1"));
		set_checked(get_by_id("log_debug_information").value, get_by_id("type2"));
		set_checked(get_by_id("log_attacks").value, get_by_id("type3"));
		set_checked(get_by_id("log_dropped_packets").value, get_by_id("type4"));
		set_checked(get_by_id("log_notice").value, get_by_id("type5"));

		//Syslog settings
		var syslog_ser = get_by_id("syslog_server").value.split("/");
		set_checked(syslog_ser[0], get_by_id("sel_sys_enable"));
		get_by_id("sys_server").value = syslog_ser[1];
		
		//email notification
		set_checked(get_by_id("log_email_enable").value, get_by_id("email_enable"));
		set_checked(get_by_id("log_email_auth").value, get_by_id("email_auth"));
	
		//mail_schedule
		var mail_schedule = get_by_id("log_email_schedule").value.split("/");
		set_checked(mail_schedule[0], get_by_id("email_sch_enable"));
		set_selectIndex(mail_schedule[3], get_by_id("email_schedule"));		
		
		disable_log();
		disable_notifcation();
		onLine_img("<% CmoGetStatus("internetonline_check"); %>");
	}

	function save_log_fun(){
		send_submit("form3");
	}

	function check_mail(){
		if (get_by_id("log_email_sender").value == ""){
			alert(msg[SMTP_SERVER_ERROR]);
			return false;
		}else if(get_by_id("log_email_recipien").value == ""){
			alert(msg[EMAIL_ADDRESS_ERROR]);
			return false;
		}else if (get_by_id("log_email_server").value == ""){
			alert(msg[EMAIL_ADDRESS_ERROR]);
			return false;
		}else if (get_by_id("log_email_password").value != get_by_id("email_pw2").value){
			alert(msg[MATCH_WIZARD_PWD_ERROR]);
			return false;
		}
		return true;
	}
	
	function send_request(){
		if (!is_form_modified("form1") && !confirm("Nothing has changed, save anyway?")) {
			return false;
		}
		var log_res_type ="";
		var type1 = get_by_id("type1");	
		if (type1.checked==true){						
				get_by_id("log_system_activity").value = "1";
				log_res_type = "system";
		}else{		
				get_by_id("log_system_activity").value = "0";
		}
		
		var type2 = get_by_id("type2");	
		if (type2.checked==true){						
				get_by_id("log_debug_information").value = "1";
				log_res_type = log_res_type +"| debug" ;
		}else{		
				get_by_id("log_debug_information").value = "0";
		}
		
		var type3 = get_by_id("type3");	
		if (type3.checked==true){						
				get_by_id("log_attacks").value = "1";
				log_res_type = log_res_type +"| attack";
		}else{		
				get_by_id("log_attacks").value = "0";
		}
		
		var type4 = get_by_id("type4");	
		if (type4.checked==true){						
				get_by_id("log_dropped_packets").value = "1";
				log_res_type = log_res_type +"| dropped";
		}else{		
				get_by_id("log_dropped_packets").value = "0";
		}
		
		var type5 = get_by_id("type5");	
		if (type5.checked==true){						
				get_by_id("log_notice").value = "1";
				log_res_type = log_res_type +"| notice";
		}else{		
				get_by_id("log_notice").value = "0";
		}
		
		if(get_by_id("sel_sys_enable").checked){
			var sys_ip_addr_msg = replace_msg(all_ip_addr_msg,"Syslog server IP address");
    		var temp_sys_ip_obj = new addr_obj(get_by_id("sys_server").value.split("."), sys_ip_addr_msg, false, false);
    		if(!check_address(temp_sys_ip_obj)){
	            return false;
        	}
        }else{
        	get_by_id("sys_server").value = "0.0.0.0";
        }
        
		if(get_by_id("email_enable").checked){
			if(!check_mail()){
				return false;
			}
		}
		
		get_by_id("log_response_type").value =log_res_type;
		
		//save Syslog settings
		get_by_id("syslog_server").value = get_checked_value(get_by_id("sel_sys_enable")) +"/"+ get_by_id("sys_server").value;
		
		get_by_id("log_email_enable").value = get_checked_value(get_by_id("email_enable"));
		get_by_id("log_email_auth").value = get_checked_value(get_by_id("email_auth"));

		//save mail_schedule
		get_by_id("log_email_schedule").value = get_checked_value(get_by_id("email_sch_enable")) +"/25/0/"+ get_by_id("email_schedule").value;
		
		get_by_id("form1").submit();
	}
	
	function disable_log(){
		var is_disabled = true;
	  	if (get_by_id("sel_sys_enable").checked){
	    	is_disabled = false;
	  	}
	  	get_by_id("sys_server").disabled = is_disabled;
	  	get_by_id("button22").disabled = is_disabled;
	  	get_by_id("sys_dhcp").disabled = is_disabled;
	}
	
	function disable_notifcation(){
		var is_disabled = true;
	  	if (get_by_id("email_enable").checked){
	    	is_disabled = false;
	  	}
	  	get_by_id("log_email_sender").disabled = is_disabled;
	  	get_by_id("log_email_recipien").disabled = is_disabled;
	  	get_by_id("log_email_server").disabled = is_disabled;
	  	get_by_id("email_auth").disabled = is_disabled;
	  	disable_emai_auth();
	}
	function disable_emai_auth(){
		var is_disabled = true;
	  	if (get_by_id("email_auth").checked){
	    	is_disabled = false;
	  	}
	  	get_by_id("log_email_username").disabled = is_disabled;
	  	get_by_id("log_email_password").disabled = is_disabled;
	  	get_by_id("email_pw2").disabled = is_disabled;
	}
		
    function set_poe_dynamic(type){
    	var fixIP = get_by_name("wan_pppoe_dynamic_00");
        if (type == 0){
            fixIP[0].checked = true;
            get_by_id("wan_pppoe_ipaddr_00").value = "0.0.0.0";	           
        }
    }
	function check_date(){
		var is_change = false;
		if(!is_change){
			if(get_by_id("log_system_activity").value != get_checked_value(get_by_id("type1"))){
				is_change = true;
			}else if(get_by_id("log_debug_information").value != get_checked_value(get_by_id("type2"))){
				is_change = true;
			}else if(get_by_id("log_attacks").value != get_checked_value(get_by_id("type3"))){
				is_change = true;
			}else if(get_by_id("log_dropped_packets").value != get_checked_value(get_by_id("type4"))){
				is_change = true;
			}else if(get_by_id("log_notice").value != get_checked_value(get_by_id("type5"))){
				is_change = true;
			}else if(get_by_id("syslog_server").value != (get_checked_value(get_by_id("sel_sys_enable")) +"/"+ get_by_id("sys_server").value)){
				is_change = true;
			}else if(get_by_id("log_email_enable").value != get_checked_value(get_by_id("email_enable"))){
				is_change = true;
			}else if(get_by_id("log_email_sender").value != "<% CmoGetCfg("log_email_sender","none"); %>"){
				is_change = true;
			}else if(get_by_id("log_email_recipien").value != "<% CmoGetCfg("log_email_recipien","none"); %>"){
				is_change = true;
			}else if(get_by_id("log_email_server").value != "<% CmoGetCfg("log_email_server","none"); %>"){
				is_change = true;
			}else if(get_by_id("log_email_auth").value != get_checked_value(get_by_id("email_auth"))){
				is_change = true;
			}else if(get_by_id("log_email_username").value != "<% CmoGetCfg("log_email_username","none"); %>"){
				is_change = true;
			}else if(get_by_id("log_email_password").value != "<% CmoGetCfg("log_email_password","none"); %>"){
				is_change = true;
			}else if(get_by_id("log_email_schedule").value != (get_checked_value(get_by_id("email_sch_enable")) +"/"+ get_by_id("email_schedule").value)){
				is_change = true;
			}
			
		}
		if(is_change){
			if (!confirm(msg[IS_CHANGE_DATA])){
				return false;
			}
		}
		location.href="tools_schedules.asp";
	}
		
</script>	
<link rel="STYLESHEET" type="text/css" href="css_router.css">

<title>D-LINK SYSTEMS, INC | WIRELESS ROUTER | HOME</title>
<meta http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<style type="text/css">
<!--
.style4 {
	font-size: 11px;
	font-weight: bold;
}
.style5 {font-size: 11px}
-->
</style>

</head>

<body topmargin="1" leftmargin="0" rightmargin="0" bgcolor="#757575">
	<table id="header_container" border="0" cellpadding="5" cellspacing="0" width="838" align="center">
      <tr>
        <td width="100%">Product Page: <a href="http://support.dlink.com.tw/" onclick="return jump_if();">DIR-400</a></td>
        <td align="right" nowrap>&nbsp;</td>
        <td align="right" nowrap>Firmware Version: <% CmoGetStatus("version"); %></td>
      </tr>
    </table>
	<table id="topnav_container" border="0" cellpadding="0" cellspacing="0" width="838" align="center">
		<tr>
			<td align="center" valign="middle"><img src="wlan_masthead.gif" width="836" height="92"></td>
		</tr>
</table>
	<table border="0" cellpadding="2" cellspacing="1" width="838" align="center" bgcolor="#FFFFFF">
		<tr id="topnav_container">
			<td><img src="short_modnum.gif" width="125" height="25"></td>
			<td id="topnavoff"><a href="wizard.asp" onclick="return jump_if();">SETUP</a></td>
			<td id="topnavoff"><a href="adv_portforward.asp" onclick="return jump_if();">ADVANCED</a></td>
			<td id="topnavon"><a href="tools_admin.asp" onclick="return jump_if();">MAINTENANCE</a></td>
			<td id="topnavoff"><a href="st_device.asp" onclick="return jump_if();">STATUS</a></td>
			<td id="topnavoff"><a href="support_men.asp" onclick="return jump_if();">HELP</a></td>
		</tr>
	</table>
	<table border="1" cellpadding="2" cellspacing="0" width="838" height="100%" align="center" bgcolor="#FFFFFF" bordercolordark="#FFFFFF">
		<tr>
			<td id="sidenav_container" valign="top" width="125" align="right">
				<table border="0" cellpadding="0" cellspacing="0">
                  <tbody>
					<tr>
						<td id="sidenav_container">
							<div id="sidenav">
							<!-- === BEGIN SIDENAV === -->
								<ul>
									<li><div><a href="tools_admin.asp" onclick="return jump_if();">Device Administration</a></div></li>
									<li><div><a href="tools_system.asp" onclick="return jump_if();">Save and Restore</a></div></li>
									<li><div><a href="tools_firmw.asp" onclick="return jump_if();">Firmware Update</a></div></li>
									<li><div><a href="tools_ddns.asp" onclick="return jump_if();">DDNS Setting</a></div></li>
								  	<li><div><a href="tools_vct.asp" onclick="return jump_if();">System Check</a></div></li>
									<li><div><a href="tools_schedules.asp" onclick="return jump_if();">Schedules</a></div></li>
									<li><div id="sidenavoff">Log Settings</div></li>
									<li><div><a href="logout1.asp" onclick="return jump_if();">Logout</a></div></LI>
								</ul>
								<!-- === END SIDENAV === -->
							</div>
							<br>
							<div id="wan_online" style="display:none">
							<table>
								<tr>
									<td><img src="wan_on.jpg"></td>
									<td class=wansts>Internet Online</td>
								</tr>
							</table>
							</div>
							<div id="wan_offline">
							<table>
								<tr>
									<td><img src="wan_off.jpg"></td>
									<td class="wansts">Internet Offline</td>
								</tr>
							</table>
							</div>
							<br>
							<table>
								<tr>
									<td align="center" width="120"><input type="button" class="button_submit" value="Reboot" onClick="page_reboot();"></td>
								</tr>
							</table>
						</td>			
					</tr>
                  </tbody>
				</table>			
			</td>
			
			<input type="hidden" id="schedule_rule_0" name="schedule_rule_0" value="<% CmoGetCfg("schedule_rule_00","none"); %>">
			<input type="hidden" id="schedule_rule_1" name="schedule_rule_1" value="<% CmoGetCfg("schedule_rule_01","none"); %>">
			<input type="hidden" id="schedule_rule_2" name="schedule_rule_2" value="<% CmoGetCfg("schedule_rule_02","none"); %>">
			<input type="hidden" id="schedule_rule_3" name="schedule_rule_3" value="<% CmoGetCfg("schedule_rule_03","none"); %>">
			<input type="hidden" id="schedule_rule_4" name="schedule_rule_4" value="<% CmoGetCfg("schedule_rule_04","none"); %>">
			<input type="hidden" id="schedule_rule_5" name="schedule_rule_5" value="<% CmoGetCfg("schedule_rule_05","none"); %>">
			<input type="hidden" id="schedule_rule_6" name="schedule_rule_6" value="<% CmoGetCfg("schedule_rule_06","none"); %>">
			<input type="hidden" id="schedule_rule_7" name="schedule_rule_7" value="<% CmoGetCfg("schedule_rule_07","none"); %>">
			<input type="hidden" id="schedule_rule_8" name="schedule_rule_8" value="<% CmoGetCfg("schedule_rule_08","none"); %>">
			<input type="hidden" id="schedule_rule_9" name="schedule_rule_9" value="<% CmoGetCfg("schedule_rule_09","none"); %>">
			
			<form id="form1" name="form1" method="post" action="apply.cgi">
			<input type="hidden" id="html_response_page" name="html_response_page" value="back.asp">
			<input type="hidden" id="html_response_message" name="html_response_message" value="The setting is saved.">
			<input type="hidden" id="html_response_return_page" name="html_response_return_page" value="st_log_settings.asp">
			<input type="hidden" id="reboot_type" name="reboot_type" value="application">
			
			<input type="hidden" id="log_response_type" name="log_response_type" value="<% CmoGetCfg("log_response_type","none"); %>">
			<input type="hidden" id="syslog_server" name="syslog_server" value="<% CmoGetCfg("syslog_server","none"); %>">
			<input type="hidden" id="log_email_schedule" name="log_email_schedule" value="<% CmoGetCfg("log_email_schedule","none"); %>">
			<input type="hidden" id="log_email_enable" name="log_email_enable" value="<% CmoGetCfg("log_email_enable","none"); %>">
			<input type="hidden" id="dhcp_list" name="dhcp_list" value="<% CmoGetList("dhcpd_leased_table"); %>">
			
			<td valign="top" id="maincontent_container">			  <div id="maincontent">
					<!-- === BEGIN MAINCONTENT === -->
				<div id="box_header"> 
						<h1>Log SETTINGS : </h1>
						Logs can be saved by sending it to an admin email address. </p>
						<p>
						  <input name="button3" type="button" class=button_submit value="Save Settings" onClick="send_request()">
                          <input name="button2" type=reset class=button_submit value="Don't Save Settings" onclick="page_cancel('form1', 'st_log_settings.asp');">
						</p>
				</div>
					
					
				<div class="box">
                	<h2>SAVE LOG FILE</h2>
        			<table borderColor=#ffffff cellSpacing=1 cellPadding=2 width=525 bgColor=#dfdfdf border=1>
	                  <tr>
	                    <td colspan="2" height=25>Save Log File To Local Hard Drive<font color="#333333">&nbsp;
	                    <input type="button" name="backup" value="Save" onClick="save_log_fun()">
	                    </font></td>
	                  </tr>
	                </table>
			  	</div>

				<div class="box">
                    <h2>LOG TYPE : </h2>
            		<table borderColor=#ffffff cellSpacing=1 cellPadding=2 width=525 bgColor=#dfdfdf border=1><tr>
                        <td width=30% height=25>
                          <div align=left>Log Type</div></td>
                        <td width=70%>
							<input type="hidden" id="log_system_activity" name="log_system_activity" value="<% CmoGetCfg("log_system_activity","none"); %>">						 
					        <input type=checkbox id=type1 name=type1 value="1">System Activity
						</td></tr>
                      	<tr>
	                        <td width=30%>&nbsp;</td>
	                        <td width=70% height=25> 
								<input type="hidden" id="log_debug_information" name="log_debug_information" value="<% CmoGetCfg("log_debug_information","none"); %>">
						 		<input type=checkbox id=type2 name=type2 value="1">Debug Information
						 	</td>
                      	</tr>
                      	<tr>
                        	<td width=30%>&nbsp;</td>
                        	<td width=70% height=25>
								<input type="hidden" id="log_attacks" name="log_attacks" value="<% CmoGetCfg("log_attacks","none"); %>">
						        <input type=checkbox id=type3 name=type3 value="1">Attacks
						    </td>
                      	</tr>
                      	<tr>
                        	<td width=30% height=14>&nbsp;</td>
                        	<td width=70% height=25>
								<input type="hidden" id="log_dropped_packets" name="log_dropped_packets" value="<% CmoGetCfg("log_dropped_packets","none"); %>">
						        <input type=checkbox id=type4 name=type4 value="1">Dropped Packets
						    </td>
						</tr>
						<tr>
                        	<td width=30% height=14>&nbsp;</td>
                        	<td width=70% height=25>
								<input type="hidden" id="log_notice" name="log_notice" value="<% CmoGetCfg("log_notice","none"); %>">
						        <input type=checkbox id=type5 name=type5 value="1">Notice
						    </td>
						</tr>
            		</table>
			  </div>
			  <div class="box">
                    <h2>SYSLOG SETTINGS</h2>
            		<table cellSpacing=1 cellPadding=2 width=525 border=1>
                      <tr>
                        <td width=30%><div align=left>Enable Logging To Syslog Server :</div></td>
                        <td width=70%><input type="Checkbox" id="sel_sys_enable" name="sel_sys_enable" value="1" onClick="disable_log();"></td>
                      </tr>
                      <tr>
                        <td width=30%><div align=left>Syslog Server IP Address :</div></td>
                        <td width=70%> 
							<input type=text id="sys_server" name="sys_server" size=16 maxlength=15>
							<input id="button22" name="button22" type=button value="<<" style="width: 24; height: 24" onClick="print_dhcp_sel()">
                            <select id="sys_dhcp" name="sys_dhcp" size=1>
                              <option value="-1">Computer Name</option>
                              <script>
                              	set_lan_dhcp_list();
                              	document.write(DHCPList_word);
                              </script>
                            </select>
						</td>
                      </tr>
            		</table>
			  	</div>
			  	<div class="box">
                    <h2>EMAIL NOTIFICATION</h2>
            		<table cellSpacing=1 cellPadding=2 width=525 border=1>
                      <tr>
                        <td width=30%><div align=left>Enable Email Notification :</div></td>
                        <td width=70%><input type="Checkbox" id="email_enable" name="email_enable" value="1" onClick="disable_notifcation();"></td>
                      </tr>
                      <tr>
                        <td width=30%><div align=left>From Email Address :</div></td>
                        <td width=70%>
	                        <input type=text id="log_email_sender" name="log_email_sender" size=30 maxlength=99 value="<% CmoGetCfg("log_email_sender","none"); %>">
						</td>
                      </tr>
                      <tr>
                        <td width=30%><div align=left>To Email Address :</div></td>
                        <td width=70%>
	                        <input type=text id="log_email_recipien" name="log_email_recipien" size=30 maxlength=99 value="<% CmoGetCfg("log_email_recipien","none"); %>">
						</td>
                      </tr>
                      <tr>
                        <td width=30%><div align=left>SMTP Server Address :</div></td>
                        <td width=70%>
	                        <input type=text id="log_email_server" name="log_email_server" size=30 maxlength=99 value="<% CmoGetCfg("log_email_server","none"); %>">
						</td>
                      </tr>
                      <tr>
                        <td width=30%><div align=left>Enable Authentication :</div></td>
                        <td width=70%><input type="Checkbox" id="email_auth" name="email_auth" value="1" onClick="disable_emai_auth();"></td>
                        <input type="hidden" id="log_email_auth" name="log_email_auth" value="<% CmoGetCfg("log_email_auth","none"); %>">
                      </tr>
                      <tr>
                        <td width=30%><div align=left>Account Name :</div></td>
                        <td width=70%>
	                        <input type=text id="log_email_username" name="log_email_username" size=30 maxlength=99 value="<% CmoGetCfg("log_email_username","none"); %>">
						</td>
                      </tr>
                      <tr>
                        <td width=30%><div align=left>Password :</div></td>
                        <td width=70%>
	                        <input type=password id="log_email_password" name="log_email_password" size=30 maxlength=99 value="<% CmoGetCfg("log_email_password","none"); %>">
						</td>
                      </tr>
                      <tr>
                        <td width=30%><div align=left>Verify Password :</div></td>
                        <td width=70%>
	                        <input type=password id="email_pw2" name="email_pw2" size=30 maxlength=99 value="<% CmoGetCfg("log_email_password","none"); %>">
						</td>
                      </tr>
                      <tr>
                        <td width=30%><div align=left>Send Log When Full :</div></td>
                        <td width=70%><input type="Checkbox" id="email_sch_enable" name="email_sch_enable" value="1"></td>
                      </tr>

                      <tr>
                        <td width=30%><div align=left>Send Log by Schedule :</div></td>
                        <td width=70%>
	                        <select id="email_schedule" name="email_schedule">
	                        	<option value="Never">Never</option>
	                        	<script>
	                              	var Schedule_list = set_schedule_option(Schedule_list);
	                              	document.write(Schedule_list);
	                            </script>
	                        </select>
	                        <INPUT type="button" value="Add New" onclick="check_date();" width=20>
						</td>
                      </tr>

            		</table>
			  </div>
				<p>
				  <input name="button33" type="button" class=button_submit value="Save Settings" onClick="send_request()">
                  <input name="button44" type=reset class=button_submit value="Don't Save Settings"  onClick="window.location.href='st_log_settings.asp'">
				</p>
				</div></td></form>
				<form id="form3" name="form3" method=POST action="save_log.cgi" enctype=multipart/form-data>
				<input type="hidden" id="html_response_page" name="html_response_page" value="back.asp">
				<input type="hidden" id="html_response_message" name="html_response_message" value="Success.">
				<input type="hidden" id="html_response_return_page" name="html_response_return_page" value="st_log_settings.asp">
				</form>
			<td valign="top" width="150" id="sidehelp_container" align="left">
				<table cellpadding="2" cellspacing="0" border="0" bgcolor="#FFFFFF">
                  <tr>
                    <td id="help_text">
                      <p><span class="style4">Helpful Hints..</span><span class="style5"><br>
                          <br>
&#149;&nbsp; If you would like to have the router's logs emailed to you but are unsure of what to enter in the <strong>SMTP Server/IP Address </strong> field, please contact your email provider or visit their support website to find out this information. </span></p></td>
                  </tr>
                </table></td>
		</tr>
	</table>
	<table id="footer_container" border="0" cellpadding="0" cellspacing="0" width="838" align="center">
		<tr>
			<td width="125" align="center">&nbsp;&nbsp;<img src="wireless_tail.gif" width="114" height="35"></td>
			<td width="10">&nbsp;</td>
			<td>&nbsp;</td>
		</tr>
	</table>
<br>
<div align="center">Copyright &copy; 2006 D-Link Corporation.</div>
<br>
</body>
<script>
	onPageLoad();
	set_form_default_values("form1");
</script>
</html>
